<template>
	<view>
		<navigation-bar :title="title" background-color="#fff" front-color="#000000" />
		<view style="margin-bottom: 15px;" v-html="content"></view>
		<u-button type="primary" shape="circle" text="我已知晓并同意" @click="back()"></u-button>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				id: 0,
				content: '',
				title: '',
			}
		},
		onLoad(option) {
			this.id = option.id
		},
		created() {
			this.getAgreement()
		},
		methods: {
			getAgreement() {
				let params = {
					id: this.id
				}
				this.http.request({
					url: '/level-one-server/app/TbAgreement/getById',
					data: params,
					method: 'get',
					success: res => {
						let data = res.data.data
						this.title = data.type
						this.content = data.content
					}
				});
			},
			back() {
				uni.navigateBack({
					delta: 1,
				})
			}
		}
	}
</script>

<style lang="scss">
	page {
		padding: 10px;
	}
</style>